ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
pmsg_view_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| show_feedback_form ()
| view ($Options)

## Data Fields
| $PageCSS = false
| $Output

## Detailed Description

Working with private messages.

Author
  Dodonov A.A.

Definition at line 26 of file pmsg_view.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 54 of file pmsg_view.php.

{
try
{
$this->PageCSS = get_package( 'page::page_css' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 96 of file pmsg_view.php.

{
try
{
$Path = _get_package_relative_path_ex( 'pmsg::pmsg_view' , '1.0.0' );
$this->PageCSS->add_stylesheet( "{http_host}/$Path/res/css/pmsg.css" , true );
$this->PageCSS->add_javascript( "{http_host}/$Path/include/js/pmsg.js" );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

show_feedback_form | ( |  | ) |

Function outputs feedback form.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 126 of file pmsg_view.php.

{
try
{
$CachedFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$String = get_package( 'string' , 'last' , __FILE__ );
$SecurityParser = get_package( 'security::security_parser' , 'last' , __FILE__ );
$Form = $CachedFS->get_template( __FILE__ , 'feedback.tpl' );
$Record = $SecurityParser->parse_http_parameters( 'message:string,allow_not_set' );
$Form = $String->print_record( $Form , $Record );
$this->Output = $Form;
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

view | ( |  | $Options | ) |

Function draws component.

Parameters

  $Options | - Settings.

Returns
  HTML code of the компонента.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 170 of file pmsg_view.php.

{
try
{
$ContextSet = get_package( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_list_outgoing' );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_list_deleted' );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_feedback' );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_solid_control' );
$ContextSet->execute( $Options , $this , __FILE__ );
return( $this->Output );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Output

Variable stores generated HTML.

Author
  Dodonov A.A.

Definition at line 76 of file pmsg_view.php.

$PageCSS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file pmsg_view.php.

The documentation for this class was generated from the following file:

- packages/pmsg/packages/pmsg_view/pmsg_view.php